This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 555071 - Some of packages like NetworkManager are not sorted alphabetically
Some of packages like NetworkManager are not sorted alphabetically
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: pirut (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: James Antill
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-13 10:29 EST by Petr Sklenar
Modified: 2013-03-14 16:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-14 16:12:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Sklenar 2010-01-13 10:29:14 EST
Description of problem:
Some of packages like NetworkManager are not sorted alphabetically in 'groups base' > "Optional packages"

Version-Release number of selected component (if applicable):
pirut-1.3.28-17.el5

How reproducible:
always

Steps to Reproduce:
1. # yum repolist
Loaded plugins: rhnplugin, security 

repo id                                         repo name                      
                                             status
rhel-x86_64-server-5                            Red Hat Enterprise Linux (v. 5
for 64-bit x86_64)                            enabled: 8,362
repolist: 8,362
2. # yum clean all
3. # pirut    
4. Select package and Click "Optional packages".
5. EX Select "Base System" and "Base".
6. Click  "Optional packages"
  
Actual results:
It's generally sorted right but see that "network-manager" is first. There is some exception like this if you search in other groups too.

Expected results:
all packages are sorting alphabetically 

Additional info:
screenshot:
https://bugzilla.redhat.com/attachment.cgi?id=383467
Comment 1 James Antill 2010-01-13 11:56:38 EST
 I thought we had this already, but I was thinking of bug#481179, which is about the group info. sorting.

 Anyway, this bug is really a yum bug ... but I'm not sure how painful it would be to change the sorting in yum (although for RHEL we don't do i18n for yum itself, so maybe it's ok).
 Fixing it in just pirut would mean putting custom sorting routines everywhere.
Comment 3 RHEL Product and Program Management 2010-08-09 15:15:21 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 4 James Antill 2013-03-14 16:12:11 EDT
This request was evaluated by Red Hat Engineering for inclusion in a Red 
Hat Enterprise Linux maintenance release.

Red Hat does not currently plan to provide this change in a Red Hat 
Enterprise Linux update release for currently deployed products.

With the goal of minimizing risk of change for deployed systems, and in 
response to customer and partner requirements, Red Hat takes a 
conservative approach when evaluating enhancements for inclusion in 
maintenance updates for currently deployed products. The primary 
objectives of update releases are to enable new hardware platform 
support and to resolve critical defects.

Note You need to log in before you can comment on or make changes to this bug.